Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RadioActionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::RadioAction. More...

`#include <xfc/gtk/radioactionsignals.hh>`

Inheritance diagram for Xfc::Gtk::RadioActionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_changed (RadioAction &current)
    Called on every member of a radio group when the active member is changed.

## Protected Member Functions

Constructors

- RadioActionSignals (RadioAction *action)
    Construct a new RadioActionSignals object.
- virtual ~RadioActionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::RadioAction.

## Constructor & Destructor Documentation

Xfc::Gtk::RadioActionSignals::RadioActionSignals | ( | RadioAction * | action | ) | `[protected]`

Construct a new RadioActionSignals object.

Parameters:

  | action | A RadioAction object inheriting the RadioActionSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::RadioActionSignals::on_changed | ( | RadioAction & | current | ) | `[virtual]`

Called on every member of a radio group when the active member is changed.

Parameters:

  | current | The member of the action group which has just been activated.

This handler is called after the Gtk::ActionSignals::on_activate() handler for the previous and current active members.

The documentation for this class was generated from the following file:

- radioactionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3